Returns the number of documents inserted (excluding upserts)

- « MongoDB\Driver\WriteResult::getDeletedCount

- MongoDB\Driver\WriteResult::getMatchedCount »

- PHP Manual
- MongoDB\Driver\WriteResult
- Returns the number of documents inserted (excluding upserts)

# MongoDB\Driver\WriteResult::getInsertedCount

(mongodb >=1.0.0)

MongoDB\Driver\WriteResult::getInsertedCount — Returns the number of documents inserted (excluding upserts)

### Description

final public MongoDB\Driver\WriteResult::getInsertedCount(): int

### Parameters

This function has no parameters.

### Return Values

Returns the number of documents inserted (excluding upserts).

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\LogicException if the write was not acknowledged.
- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Changelog

Version | Description
--- | ---
PECL mongodb 2.0.0 | This method now throws an exception when called for an unacknowledged write instead of returning `null`.

### Examples

Example #1 MongoDB\Driver\WriteResult::getInsertedCount() example

    <?php

    $manager = new MongoDB\Driver\Manager;

    $bulk = new MongoDB\Driver\BulkWrite;
    $bulk->insert(['x' => 1]);
    $bulk->update(['x' => 1], ['$set' => ['y' => 3]]);
    $bulk->update(['x' => 2], ['$set' => ['y' => 1]], ['upsert' => true]);
    $bulk->update(['x' => 3], ['$set' => ['y' => 2]], ['upsert' => true]);
    $bulk->delete(['x' => 1]);

    $result = $manager->executeBulkWrite('db.collection', $bulk);

    var_dump($result->getInsertedCount());

    ?>

The above example will output:

    int(1)

### See Also

- MongoDB\Driver\WriteResult::isAcknowledged() - Returns whether the write was acknowledged